package org.bug.glassfishsessionfail;

import java.util.UUID;
import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.link.Link;

/**
 * Homepage
 */
public class HomePage extends WebPage {

	private static final long serialVersionUID = 1L;
        
        private String id;
        

	// TODO Add any page properties or variables here

    /**
	 * Constructor that is invoked when page is invoked without a session.
	 * 
	 * @param parameters
	 *            Page parameters
	 */
    public HomePage() {

        add(new Label("sessionId", getSession().getId()));
         add(new Label("uuid", id));
         
        add(new BookmarkablePageLink("link", HomePageSSL.class));
        
        add(new Link("start") {

            @Override
            public void onClick() {
                id = UUID.randomUUID().toString();
                setResponsePage(HomePage.this);
            }
        });
    }
}
